# DigiDemoBord

Simple digital chessboard, meant for chess instruction.

## Usage

Open digidemobord.html (and press F11 to go full-screen).

The schaakbord can be used to demo chess and chess positions. It can be used to show (and edit) positions, including annotions (arrows and circles).
The tool can also be used to compose positions (and series of moves), write these to a file, and later reload.

See the [Dutch manual](digidemobord-handleiding.md) for more  information.

## Acknowledgements

The DigiDemoBord is based on the javascript chessboard module by Chris Oakman (chessboard-1.0.0.js from [chessboardjs.com](chessboardjs.com)). This module was updated to include code for annotations (circles and arrows). This annotation code was initially inspired by and based on an earlier fork ([chessboard-0.3.0 door Raneku](github.com/raneku/chessboardjs)), but is extended and integrated with mouse interaction of chessboard. The DigiDemoBord also uses jQuery (jQuery-1-12.4.js). The jQuery code, and the adapted chessboard code are part of the DigiDemoBord tool.